server {
    listen 80;
    server_name vida180.com.br www.vida180.com.br;

    location /.well-known/acme-challenge/ {
        root /var/www/certbot;
    }

    # Frontend
    location / {
        proxy_pass http://31.97.26.2:3200;
        proxy_http_version 1.1;
        proxy_set_header Upgrade $http_upgrade;
        proxy_set_header Connection 'upgrade';
        proxy_set_header Host $host;
        proxy_cache_bypass $http_upgrade;
    }

    # Backend API
    location /api/ {
        proxy_pass http://31.97.26.2:8000/api/;
        proxy_http_version 1.1;
        proxy_set_header Host $host;
    }
}
